Index: chrome/app/make_mac_app_symlinks |
=================================================================== |
--- chrome/app/make_mac_app_symlinks (revision 0) |
+++ chrome/app/make_mac_app_symlinks (revision 0) |
@@ -0,0 +1,18 @@ |
+#!/bin/sh |
+ |
+# Copyright (c) 2009 The Chromium Authors. All rights reserved. |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+# This script is intended to run from a "postbuild" action from within Xcode. |
+# It sets up symbolic links for an app bundle's Resources and Frameworks |
+# directories. This is intended to be used for app bundles that live within |
+# the Resources directory of a larger app bundle, when the sub-app's |
+# Resources and Frameworks directories should point to the enclosing app's. |
+ |
+set -e |
+ |
+CONTENTS_PATH="${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}/Contents" |
+ |
+ln -fhs ../.. "${CONTENTS_PATH}/Resources" |
+ln -fhs ../../../Frameworks "${CONTENTS_PATH}/Frameworks" |
Property changes on: chrome/app/make_mac_app_symlinks |
___________________________________________________________________ |
Added: svn:executable |
+ * |
Added: svn:eol-style |
+ LF |